Subject: Re: [Sipping] Comments on draft-ietf-sipping-config-framework-00.txt - 2: Content and format of configuration data

From: "Daniel G. Petrie" <[email-masked]>
Date: Mon, 14 Jul 2003 10:33:17 -0400

I have had a number of conversations with folks on the profile
content.  I think that I have distilled this to using name spaces to
define small configuration sets that can be aggregated in a single
xml document.  The sets should be such that an implementor
can decide based upon the funtionality they want to provide,
which config sets they require.  The UA should just ignore
config sets that it does not need.

There was an initial proposal defining a number of the config data
parameters (http://www.pingtel.com/docs/draft-stredicke-sipping-ep-config-00.txt)
However I think that we need to work out the generic format
independent of any of the specific parameters.  Then we can create
drafts for each of the config sets.  If you have time this week in
Vienna, it would be great to get together and talk this through
a little more and perhaps work out a plan for drafting it up.

[email-masked] wrote:

> Hello,
>
> next commten is on Content and format of configuration data:
>
> It's already said in the abstract, that content and format of configuration data are outside the scope of the draft. Currently only the possiblity for returning a link int he body of the subscribe is provided. It would be of general help if we could agree on generic service indicators / parameters, that could be downloaded to the UE directly from the configuration server in the NOTIFY. A XML based coding seems to be the best approach here.
>
> So a service parameter could look like e.g. <conference-factory>sip:[email-masked]</conference-factory>
>
> For this purpose it would be required to introduce a list of initial service parameters to the draft.
>
> As said above, the proposal here is to define mainly SIP service parameters. Of course this framework needs to be kept extensible also to other kinds of parameters.
>
> This would also not contradict to the initial idea of downloading a link, e.g. for a non-SIP related configuration of the UE, such a link could be one of the proposed parameters.
>
> If such an approach could be agreed, Hisham and I would start working on an I-D for that.
>
> Thanks
> Georg
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP